Support » Plugin: Mollie Payments for WooCommerce » Undefined class constant ‘BELFIUS’

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author l.vangunst

    (@lvangunst)

    This ‘BELFIUS’ constant is defined in a subpackage of our WooCommerce plugin. It looks like this subpackage is not installed correctly.

    Make sure you have installed the plugin through your WordPress admin -> Plugins or use the download button on https://wordpress.org/plugins/mollie-payments-for-woocommerce/

    Our previous WooCommerce did also contains this subpackage. It is possible you have installed (and activated) our old WooCommerce module with an old subpackage which doesn’t contain the ‘BELFIUS’ contant. This subpackage can only be registered once. The new plugin will use the subpackage of the old plugin if the old plugin is also activated in your WordPress environment.
    Please make sure the old Mollie WooCommerce plugin ‘MPM – Mollie Payment Module’ is disabled in your WordPress environment.

    We have in use:

    Mollie Payments for WooCommerce Versie: 2.0.1
    WooCommerce Versie: 2.4.7

    MPM – Mollie Payment Module was installed has ever been installed in the past but has been removed!

    What can we do to correct the “subpackage is not installed correctly”?

    Plugin Author l.vangunst

    (@lvangunst)

    Make sure to completely remove the old plugin (remove the folder wp-content/plugins/mpm if it exists).

    Please check if you have any other plugin activated that uses our Mollie subpackage like ‘WooCommerce Mollie Gateway’ (wp-content/plugins/woocommerce-gateway-mollie).

    If this does not solve the problem please reinstall the latest Mollie WooCommerce plugin by downloading the package from https://wordpress.org/plugins/mollie-payments-for-woocommerce/ and overwrite the directory wp-content/plugins/mollie-payments-for-woocommerce.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Undefined class constant ‘BELFIUS’’ is closed to new replies.